Skip to main content
GET
/
api
/
v1
/
teams
/
activity
/
all
All Activity
curl --request GET \
  --url https://api.example.com/api/v1/teams/activity/all \
  --header 'Authorization: Bearer <token>'
{
  "activity": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action_type": "<string>",
      "description": "<string>",
      "details": {},
      "source": "<string>",
      "severity": "<string>",
      "member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

activity
TeamAuditLogResponse · object[]
required
total
integer
required